package com.bocloud.cmp.model.hmc.sdk.job;

import com.bocloud.cmp.model.hmc.sdk.common.Metadata;

public class JobRequest {
    private Metadata metadata;
    private RequestedOperation requestedOperation;
    private JobParameters jobParameters;

    public JobRequest() {
    }

    public Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(Metadata metadata) {
        this.metadata = metadata;
    }

    public RequestedOperation getRequestedOperation() {
        return requestedOperation;
    }

    public void setRequestedOperation(RequestedOperation requestedOperation) {
        this.requestedOperation = requestedOperation;
    }

    public JobParameters getJobParameters() {
        return jobParameters;
    }

    public void setJobParameters(JobParameters jobParameters) {
        this.jobParameters = jobParameters;
    }

    @Override
    public String toString() {
        return "JobRequest [metadata=" + metadata + ", requestedOperation=" + requestedOperation + ", jobParameters="
            + jobParameters + "]";
    }
}
